
Redmine - Defect #3278

Allow alternate tunnel schemes for subversion repository URLs

2009-04-30 18:54 - Duncan Harris

Status: Closed Start date: 2009-04-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8.4   

Resolution: Fixed Affected version:  

Description

Currently Redmine only allows subversion to use http, https, svn, svn+ssh or file protocols for subversion. However subversion

allows svn+userdefinedtunnelscheme. See Tunneling over SSH in the Version Control with Subversion book.

Patch attached based on latest trunk code at time of writing (r2697)

Associated revisions

Revision 2723 - 2009-05-10 12:08 - Jean-Philippe Lang

Accept any svn tunnel scheme in repository URL (#3278).

History

#1 - 2009-05-10 11:59 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.4

- Resolution set to Fixed

Fixed in r2723.

#2 - 2009-05-17 10:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2746.

Files

redmine-subversion-tunnel-scheme.patch 1.49 KB 2009-04-30 Duncan Harris
http://svnbook.red-bean.com/en/1.5/svn.serverconfig.svnserve.html#svn.serverconfig.svnserve.sshauth
https://www.redmine.org/projects/redmine/repository/svn/revisions/2697
https://www.redmine.org/projects/redmine/repository/svn/revisions/2723
https://www.redmine.org/projects/redmine/repository/svn/revisions/2746
